%define upstream_name    MooseX-Storage
%define upstream_version 0.50

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    A custom meta-attribute-trait to bypass serialization
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Digest)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp)
BuildRequires: perl(JSON::MaybeXS)
BuildRequires: perl(List::Util)
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(Moose) >= 0.990.0
BuildRequires: perl(Moose::Meta::Attribute)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(String::RewritePrefix)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Deep::Type)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Requires)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(version)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
MooseX::Storage is a serialization framework for Moose, it provides a very
flexible and highly pluggable way to serialize Moose classes to a number of
different formats and styles.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%make_install

%files
%doc CONTRIBUTING Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.500.0-3.mga6
+ Revision: 1030626
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.500.0-2.mga6
+ Revision: 967804
- Mageia 6 Mass Rebuild

* Sat Jul 04 2015 sander85 <sander85> 0.500.0-1.mga6
+ Revision: 850255
- update to 0.50

* Wed Oct 15 2014 umeabot <umeabot> 0.470.0-4.mga5
+ Revision: 744850
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.470.0-3.mga5
+ Revision: 735856
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.470.0-2.mga5
+ Revision: 685569
- Mageia 5 Mass Rebuild

* Wed Aug 27 2014 sander85 <sander85> 0.470.0-1.mga5
+ Revision: 668682
- update to 0.47

* Fri Apr 18 2014 jquelin <jquelin> 0.460.0-1.mga5
+ Revision: 616314
- update to 0.46

* Sat Feb 08 2014 sander85 <sander85> 0.450.0-1.mga5
+ Revision: 586608
- update to 0.45

* Sat Oct 19 2013 umeabot <umeabot> 0.430.0-2.mga4
+ Revision: 534384
- Mageia 4 Mass Rebuild

* Wed Sep 11 2013 sander85 <sander85> 0.430.0-1.mga4
+ Revision: 477551
- update to 0.43

* Mon Sep 09 2013 sander85 <sander85> 0.420.0-1.mga4
+ Revision: 476583
- update to 0.42

* Sun Sep 08 2013 sander85 <sander85> 0.410.0-1.mga4
+ Revision: 476052
- update to 0.41

* Sat Jul 27 2013 sander85 <sander85> 0.390.0-1.mga4
+ Revision: 459081
- update to 0.39

* Fri Jul 19 2013 sander85 <sander85> 0.350.0-1.mga4
+ Revision: 456249
- update to 0.35

* Wed Jun 26 2013 jquelin <jquelin> 0.340.0-1.mga4
+ Revision: 447055
- update to 0.34

* Fri Jun 07 2013 jquelin <jquelin> 0.330.0-1.mga4
+ Revision: 439624
- update to 0.33

* Sun Jan 13 2013 umeabot <umeabot> 0.320.0-2.mga3
+ Revision: 370309
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.320.0-1.mga3
+ Revision: 342430
- update to 0.32

* Mon Mar 05 2012 jquelin <jquelin> 0.310.0-1.mga2
+ Revision: 218770
- update to 0.31

* Wed Jun 15 2011 jquelin <jquelin> 0.300.0-1.mga2
+ Revision: 107150
- update to 0.30

* Wed Jan 26 2011 jquelin <jquelin> 0.290.0-1.mga1
+ Revision: 40733
- mageia rebuild
- imported package perl-MooseX-Storage

